# Class DataTree.ProcessTxnResult

java.lang.Object
org.apache.zookeeper.server.DataTree.ProcessTxnResult

Enclosing class:
  `DataTree`

public static class DataTree.ProcessTxnResult extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`clientId`
`int`
`cxid`
`int`
`err`
`List<DataTree.ProcessTxnResult>`
`multiResult`
`String`
`path`
`Stat`
`stat`
`int`
`type`
`long`
`zxid`

## Constructor Summary

Constructors
Constructor
Description
`ProcessTxnResult()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Equality is defined as the clientId and the cxid being the same.
`int`
`hashCode()`
See equals() to find the rationale for how this hashcode is generated.

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### clientId

public long clientId

### cxid

public int cxid

### zxid

public long zxid

### err

public int err

### type

public int type

### path

public String path

### stat

public Stat stat

### multiResult

public List<DataTree.ProcessTxnResult> multiResult

## Constructor Details

### ProcessTxnResult

public ProcessTxnResult()

## Method Details

### equals

public boolean equals(Object o)
Equality is defined as the clientId and the cxid being the same. This allows us to use hash tables to track completion of transactions.

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()
See equals() to find the rationale for how this hashcode is generated.

Overrides:
  `hashCode` in class `Object`
See Also:
  - `equals(Object)`
  - `Object.hashCode()`